This repository has been archived by the owner. It is now read-only.

brew should begin to require its own OpenSSL with lion and beyond #10577

Closed
dwaite opened this Issue Feb 28, 2012 · 2 comments

Comments

Projects
None yet
2 participants
Contributor

dwaite commented Feb 28, 2012

Apple has as of Lion deprecated the use of the system openssl, which will eventually be removed.

http://ludovicrousseau.blogspot.com/2011/08/mac-os-x-lion-and-openssl.html

My understanding is this is due to binary backwards incompatibilities in the openssl library across minor/maintenance versions (most probably due to direct access of structure data). This has prevented upgrades beyond 0.9.8r. The recommendation is to use common crypto or link against your own build of openssl.

Contributor

adamv commented Feb 29, 2012

And the version in Leopard is now too old to work with some brews.

Contributor

adamv commented Mar 16, 2012

We'll add OpenSSL as a (conditional) requirement to formulae as needed, thanks.

@adamv adamv closed this Mar 16, 2012

@xu-cheng xu-cheng locked and limited conversation to collaborators Feb 16, 2016

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.